Bug 836404 - Review Request: jboss-reflect - JBoss Reflection
Review Request: jboss-reflect - JBoss Reflection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 836403 837726
  Show dependency treegraph
 
Reported: 2012-06-28 20:30 EDT by Gerard Ryan
Modified: 2012-07-29 10:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-06-28 20:30:11 EDT
Spec URL: http://galileo.fedorapeople.org/jboss-reflect/2.2.1-1/jboss-reflect.spec
SRPM URL: http://galileo.fedorapeople.org/jboss-reflect/2.2.1-1/jboss-reflect-2.2.1-1.fc17.src.rpm
Description: JBoss Reflection
Fedora Account System Username: galileo
Comment 1 Gerard Ryan 2012-07-11 09:01:24 EDT
I've added some additional BuildRequires that I just noticed when I tried a scratch build. Builds successfully in koji now.
Comment 2 Mikolaj Izdebski 2012-07-12 09:23:35 EDT
I am taking this review.
Comment 3 Mikolaj Izdebski 2012-07-12 09:36:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jboss-reflect-2.2.1-1.fc18.src.rpm

jboss-reflect.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-reflect.src: W: invalid-url Source0: jboss-reflect-2.2.1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jboss-reflect-2.2.1-1.fc18.noarch.rpm

jboss-reflect.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-reflect.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jboss-reflect-javadoc-2.2.1-1.fc18.noarch.rpm

jboss-reflect-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-reflect-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings can be ignored.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


Issues:
[!]: MUST Package contains no bundled libraries.

This package bundles objectweb-asm in directory
./src/main/java/org/jboss/reflect/util/objectweb/asm/
In Fedora bundled libraries are (in general) not allowed, see:
http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
The bundled library will have to be removed.
Comment 4 Gerard Ryan 2012-07-17 08:44:35 EDT
I tried removing the bundled subset of objectweb-asm, and getting it to rely on the Fedora packaged objectweb-asm, but it didn't work. It seems that there's some stuff in there that never made it upstream. The problem code was introduced in the 2.2.0.Alpha6 tag, but the jbossxb dependency on jboss-reflect is based on the 2.0.2.GA tag. The previous stable release before 2.2.0.Alpha6 was 2.0.4.GA.
I've managed to build both 2.2.0.Alpha5, and 2.0.2.GA (2.0.4.GA depends on some other old stuff that I can't even find). Since 2.2.0.Alpha5 is exactly that: a fifth alpha of nine alpha versions; I'm first going to propose 2.0.2.GA. jbossxb builds fine against it. If you think 2.2.0.Alpha5 would be preferable, let me know. Thanks!

Spec URL: http://galileo.fedorapeople.org/jboss-reflect/2.0.2-1/jboss-reflect.spec
SRPM URL: http://galileo.fedorapeople.org/jboss-reflect/2.0.2-1/jboss-reflect-2.0.2-1.fc17.src.rpm
Comment 5 Mikolaj Izdebski 2012-07-17 08:53:40 EDT
Re-reviewing 2.0.2.GA from scratch.
Comment 6 Mikolaj Izdebski 2012-07-17 09:01:28 EDT
2 issues found:

[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.

org.apache.maven.surefire:surefire-junit4 seems to be mising.

[!]: MUST License field in the package spec file matches the actual license.

License field states "LGPLv2+ and BSD", but there is nothing BSD-licensed.
The license tag should therefore be just "LGPLv2+".
Comment 7 Gerard Ryan 2012-07-17 10:22:34 EDT
Spec URL: http://galileo.fedorapeople.org/jboss-reflect/2.0.2-2/jboss-reflect.spec
SRPM URL: http://galileo.fedorapeople.org/jboss-reflect/2.0.2-2/jboss-reflect-2.0.2-2.fc17.src.rpm

> org.apache.maven.surefire:surefire-junit4 seems to be mising.

added to BR

> The license tag should therefore be just "LGPLv2+".

Done.

Thanks!
Comment 8 Mikolaj Izdebski 2012-07-17 10:26:24 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jboss-reflect-2.0.2-2.fc18.noarch.rpm

jboss-reflect.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-reflect.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jboss-reflect-2.0.2-2.fc18.src.rpm

jboss-reflect.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-reflect.src: W: invalid-url Source0: jboss-reflect-2.0.2.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jboss-reflect-javadoc-2.0.2-2.fc18.noarch.rpm

jboss-reflect-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-reflect-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings can be ignored.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


No blocker issues found.
Tested on Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4246531

**************
** APPROVED **
**************
Comment 9 Gerard Ryan 2012-07-17 10:28:14 EDT
New Package SCM Request
=======================
Package Name: jboss-reflect
Short Description: JBoss Reflection
Owners: galileo
Branches: f17
InitialCC:
Comment 10 Gwyn Ciesla 2012-07-17 23:22:46 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-07-18 08:04:57 EDT
jboss-reflect-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-reflect-2.0.2-2.fc17
Comment 12 Fedora Update System 2012-07-19 04:57:07 EDT
jboss-reflect-2.0.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-07-26 18:28:50 EDT
jboss-reflect-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.